# Interface AbstractViewInterface

#### Hierarchy

- AbstractViewInterface

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:9

#####
Index

### Properties

componentId
stateManager
subtitle?
title?
unmount

## Properties

### componentId

componentId: string

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:10

### stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:13

### `Optional` subtitle

subtitle?: string

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:12

### `Optional` title

title?: string

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:11

### unmount

unmount: ((flag, callback) => void)

#### Type declaration

- - (flag, callback): void

  - #### Parameters

    - ##### flag: boolean

    - ##### callback: (() => void)

      - - (): void

        - #### Returns void

- Defined in src/RcsbFvSequence/SequenceViews/AbstractView.tsx:14

Generated using TypeDoc